#
# spec file for package python-argcomplete
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Darin Perusich.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-argcomplete
Version:        0.8.7
Release:        5.5
Url:            https://github.com/kislyuk/argcomplete
Summary:        Bash tab completion for argparse
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/a/argcomplete/argcomplete-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
BuildRequires:  python-argparse
Requires:       python-argparse
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
argcomplete - Bash completion for argparse

Argcomplete provides easy, extensible command line tab completion of
arguments for your Python script.

It makes two assumptions:

* You're using bash as your shell
* You're using argparse to manage your command line arguments/options

Argcomplete is particularly useful if your program has lots of options
or subparsers, and if your program can dynamically suggest completions
for your argument/option values (for example, if the user is browsing
resources over the network).

%prep
%setup -q -n argcomplete-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}%{python_sitelib}/test

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE.rst README.rst
%{_bindir}/activate-global-python-argcomplete
%{_bindir}/python-argcomplete-check-easy-install-script
%{_bindir}/register-python-argcomplete
%{python_sitelib}/argcomplete-%{version}-py%{py_ver}.egg-info
%{python_sitelib}/argcomplete

%changelog
* Sun Apr 19 2015 benoit.monin@gmx.fr
- update to 0.8.7:
  * register-python-argcomplete: add option to avoid default
    readline completion. Thanks to @drmalex07 (pull request #99).
- additional changes from 0.8.6:
  * Expand tilde in script name, allowing argcomplete to work
    when invoking scripts from one's home directory. Thanks to
    @VorpalBlade (Issue 104).
- additional changes from 0.8.5:
  * Fix issues related to using argcomplete in a REPL
    environement.
  * New helper method for custom completion display.
  * Expand test suite; formatting cleanup.
- additional changes from 0.8.4:
  * Fix issue related to using argcomplete in a REPL
    environement. Thanks to @wapiflapi (pull request #91).
- additional changes from 0.8.3:
  * Fix multiple issues related to using argcomplete in a REPL
    environement. Thanks to @wapiflapi (pull request #90).
- additional changes from 0.8.2:
  * Don't strip colon prefix in completion results if
    COMP_WORDBREAKS does not contain a colon. Thanks to @berezv
    (pull request #88).
- additional changes from 0.8.1:
  * Use complete --nospace to avoid issues with directory
    completion.
- additional changes from 0.8.0:
  * Refactor main body of code into a class to enable
    subclassing and overriding of functionality (Issue #78).
- additional changes from 0.7.1:
  * New keyword option "argcomplete.autocomplete(validator=...)"
    to supply a custom validator or bypass default validation.
    Thanks to @thijsdezoete (Issue #77).
  * Document debug options.
- additional changes from 0.7.0:
  * New keyword option "argcomplete.autocomplete(exclude=[...])"
    to suppress options (Issue #74).
  * More speedups to code path for global completion hook negative
    result.
- additional changes from 0.6.9:
  * Fix handling of development mode script wrappers. Thanks to
    @jmlopez-rod and @dcosson (Issue #69).
  * Speed up code path for global completion hook negative
    result by loading pkg_resources on demand.
- additional changes from 0.6.8:
  * Begin tracking changes in changelog.
  * Add completion support for PBR installed scripts (PR #71).
  * Detect easy-install shims with shebang lines that contain
    Py instead of py (Issue #69).
* Fri Jan 17 2014 speilicke@suse.com
- Update to version 0.6.7:
  + Upstream provides no changelog
- Don't install testsuite globally
* Mon Nov 18 2013 speilicke@suse.com
- Update to version 0.6.3:
  + No changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu May  2 2013 speilicke@suse.com
- Fix SLE builds
- Add LICENSE.rst and README.rst
- Run testsuite
* Mon Apr 29 2013 darin@darins.net
- fixed license, set noarch for build
* Fri Apr 26 2013 darin@darins.net
- add files in _bindir
- add python-distribute
* Fri Apr 26 2013 darin@darins.net
- Initial packaging
